#wxPython - analogclock (uses builtin one, daniweb.com software-development python cod 216810) accessed 2011-12-14
# create nice Analog Clock using wxPython
# tested with Python24 and wxPython26  by  HAB
# Colors changed by JGustafson 2011-12-14

import wx
from wx.lib.analogclock import *

class MyFrame(wx.Dialog):
    """use simple dialog box as frame"""
    def __init__(self, parent, id, title):
        wx.Dialog.__init__(self, parent, -4, title, size=(300,320))
        self.SetBackgroundColour("black")

        clock = AnalogClockWindow(self)
        clock.SetBackgroundColour("black")
        
        box = wx.BoxSizer(wx.VERTICAL)
        box.Add(clock, 1, wx.EXPAND|wx.ALIGN_CENTER|wx.ALL|wx.SHAPED, 10)

        self.SetAutoLayout(True)
        self.SetSizer(box)
        self.Layout()
        
        self.ShowModal()
        self.Destroy()


app = wx.PySimpleApp()
frame = MyFrame(None, -1, "wx Analog Clock")
# show the frame
frame.Show(True)
# start the event loop
app.MainLoop()